#
# $USAGI: README.USAGI-ATM,v 1.1 2001/12/24 02:15:09 serizawa Exp $
#

Installation options:
1. kernel building.
  At least, these five options should be enabled.

   in "Code maturity level options"
    [*] Prompt for development and/or incomplete code/drivers
   in "Networking options"
    <*>   The IPv6 protocol (EXPERIMENTAL)
    [*] Asynchronous Transfer Mode (ATM) (EXPERIMENTAL)
    [*]   Classical IP over ATM
    [*]     IPv6 Enhance for ATM

2. userland applications
  2-1. pvctool
    "pvctool" is a tool to create a network interface and to set up a PVC
    for the interface. To build and to install pvctool, add 
    --enable-atm-tools option for ./configure,
    
	% ./configure --enable-atm-tools

    Plase refer section 5) in "doc/INSTALL.USAGI".

  2-2. other tools
    Other tools for ATM are not contained in the USAGI archive.
    Please download from this URL,

         http://sourceforge.net/projects/linux-atm/


Command usage:
1. create a network interface.

   % pvctool -c [N]

# N represents the serial number of network interface created.
# You can ommit N.

   This command will return N if succeeded.

2. set up a PVC.

   % pvctool -S N [itf.]vpi.vci

# N is same as the number descrived above. itf, vpi and vci
# represent ATM interface number, vpi number, vci number respectively.
# You can ommit itf.

3. up network interface
# Assume above N to be 0.

   %ifconfig atm0 up

4. add address to the interface if you need.

   % ifconfig atm0 add (address of this IF)
